
package de.ivu.elect.business.wahlvorschlag.control;

import java.util.Comparator;

import de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag;

public class WahlvorschlagByKennwortComparator implements Comparator<Wahlvorschlag> {

  private static final WahlvorschlagKennwortComparator DEFAULT_KENNWORT_COMPARATOR = WahlvorschlagKennwortComparator.DEFAULT_INSTANCE;

  public WahlvorschlagByKennwortComparator() {
    super();
  }

  @Override
  public int compare(Wahlvorschlag one, Wahlvorschlag another) {
    return DEFAULT_KENNWORT_COMPARATOR.compare(one, another);
  }
}
